panon Original

Plasma 5 Multimedia music spectrum visualizer

Source (link to git-repo or to original if based on someone elses unmodified work): https://github.com/rbn42/panon

7
Score 76.9%
Description:

This is an audio spectrum analyzer.

Version 0.4.2:
* Requirements:
OpenGL >= 3.0
KDE Framework >= 5.63
* Required packages for ArchLinux:
sudo pacman -S qt5-websockets python-docopt python-numpy python-pyaudio python-cffi python-websockets
* Required packages for Ubuntu and KDE neon:
sudo apt-get install qml-module-qt-websockets python3-docopt python3-numpy python3-pyaudio python3-cffi python3-websockets
Required packages for openSUSE:
sudo zypper in libQt5WebSockets5 python3-docopt python3-numpy python3-PyAudio python3-cffi python3-websockets

Version 0.4.0:
* Requirements:
OpenGL >= 3.0
KDE Framework >= 5.42
sudo pacman -S qt5-websockets python-docopt python-numpy python-pillow python-pyaudio python-cffi python-websockets
* Required packages for Ubuntu and KDE neon:
sudo apt-get install qml-module-qt-websockets python3-docopt python3-numpy python3-pyaudio python3-cffi python3-websockets python3-pil
* Required packages for openSUSE:
sudo zypper in libQt5WebSockets5 python3-docopt python3-numpy python3-Pillow python3-PyAudio python3-cffi python3-websockets

To report bugs, please use github's issue template.
Last changelog:

0.4.2 8 days ago

When audio is not available, panon will lower fps to 2.

jason999

1 day ago

Not sure if this is a new bug as I just tried this plasmoid, but I get "Error: Failed to load visual effect...". I have a couple visual effects located in '~/.local/share/panon` but I can't select anything in Panon Settings - Visual Effects, drop down does nothing. On Arch, all prerequisites installed.

Report

C

rbn43

1 day ago

Never saw this bug before. I need to know the outputs of the console. Github's issue template will tell you how to get the outputs. https://github.com/rbn42/panon/issues/new?assignees=&labels=bug&template=bug_report.md&title=%5BBUG%5D+%7Btitle%7D

Report

2

mirkogennari

3 days ago

2 no install plasmoid

Report

10

ithemaster

8 days ago

10 10 the best

Report

asion

9 days ago

How to change the console command "Back-end source"?

Report

C

rbn43

9 days ago

Sorry, I cannot understand your question.

Report

9

benchile

21 days ago

9 9 excellent Amazing work easy to install in Manjaro Linux suing your dependencies requested by Arch Linux users + install the widget from desktop graphics tools. https://i.imgur.com/20LLT9G.png

Report

C

rbn43

21 days ago

Thank you

Report

thisismyrealname

2 months ago

Really like this, have a minor RFE - could you make it so that we could mix all of the speakers without also having to mix in the microphones?

I'd like to be able to set it so that it works whether my sound output is through my speakers or my headset, but without reacting to the background noise in my room

Report

C

rbn43

2 months ago

Done. I have pushed it to github.

Report

thisismyrealname

2 months ago

I've just installed that (and thanks for the swift response) - I can see the option for mix all speakers, but it doesn't appear to work. If I select 'monitor source of ' as the input device, then it will react as expected (as long as that's my selected audio device), but the all speakers one doesn't appear to do anything.

I think it's most likely something a bit screwy in my PulseAudio settings, so i'll have a dig through that and see what I can find :)

Report

C

rbn43

2 months ago

Sorry, made a mistake. Fixed now.

Report

thisismyrealname

2 months ago

That works perfectly, thanks a lot. Love this :D

Report

thisismyrealname

2 months ago

Ah, sorry - missed your second update before my last comment. Checking that now

Report

tj-wolf

4 months ago

getting this error weidget

Error loading QML file: file:///home/tj/.local/share/plasma/plasmoids/panon/contents/ui/main.qml:11:37: Type Spectrum unavailable
file:///home/tj/.local/share/plasma/plasmoids/panon/contents/ui/Spectrum.qml:185:5: Type WsConnection unavailable
file:///home/tj/.local/share/plasma/plasmoids/panon/contents/ui/WsConnection.qml:2:1: module "QtWebSockets" is not installed

Report

C

rbn43

4 months ago

Please install qt5-websockets(Arch) or qml-module-qt-websockets(Ubuntu)

Report

tj-wolf

4 months ago

actually it was installed on Arch. I had to restart pc for it to take effect

Report

dontthink02

5 months ago

It does not work, it was originally written that the qtwebsockets module was not installed, then it solved this problem, but panon did not work, the visual effects says Error: Could not load: file: ///root/.local/share/plasma/plasmoids/panon/ contents / ui / config / ConfigEffects.qml: 7 module "org.kde.newstuff" version 1.1 is not installed. Tried apt-get reinstall qml-module-org-kde-newstuff, but that didn't help. What needs to be done, please help.

Report

dontthink02

5 months ago

just reinstalled panon, now it displays the text Error: Failed to load the visual effect. Please coose another visual effect in the cofniguration dialog. But in that section I have a mistake, so I can’t do anything ..

Report

C

rbn43

5 months ago

What is your kde framework version? Short answer is please downgrade to panon 0.3.1, because this module is not provided by your kde framework. It requires kf 5.63 at least. The module is the only difference between 0.3.1 and 0.4.0. The link to 0.3.1 is gray, but still downloadable.

Report

dontthink02

5 months ago

Everything works great, thanks!

Report

dontthink02

5 months ago

Oh, thanks, I got a rainbow strip, but for some reason it doesn’t move, in the settings I tried to set PulseAudio. KDE Framework Version 5.62.0

Report

C

rbn43

5 months ago

Well, then you must downgrade panon to 0.3.1

Report

dontthink02

5 months ago

Oh, thanks, I got a rainbow strip, but for some reason it doesn’t move, in the settings I tried to set PulseAudio

Report

C

rbn43

5 months ago

Sorry guys, I forgot to package third party files into version 0.3.1, so it didn't work.

Report

0.4.2 8 days ago

When audio is not available, panon will lower fps to 2.

0.4.1 2 months ago

Ignores PyAudio exceptions on overflow.
Sets application name to the monitor of PulseAudio.
Disables randomizing effects.
Supports using colors as a new type of arguments.

0.4.0 5 months ago

Thanks to flying-sheep (Philipp A.)'s work, visual effects can now be installed through the Get Hot New Stuff dialog.
Chinese translation was added.
German translation was added (by NullDev (Chris)).
A non-GPL visual effect was removed.

0.3.1 5 months ago

Enable panon to load visual effects in ~/.config/panon/
Rename arguments.json to meta.json

0.3.0 6 months ago

Support Plasma 5.18's "Configurable Background" feature
Make some visual effects configurable

Add new visual effects:
comet
spectrogram
oie1ch

Shader API:
Support drawing to buffer
Support exposing arguments

v0.2.16 7 months ago

Add 2 shaders
Fix auto-hiding error

v0.2.15 7 months ago

Eliminate flickering
Add a shader

v0.2.14 7 months ago

Support mixing all microphones and speakers

v0.2.13 7 months ago

Eliminate delay in fifo back-end

v0.2.12 7 months ago

Fixes an error in fifo back end

v0.2.11 7 months ago

Add fifo and PulseAudio as back ends
Add gravity configuration
Downgrade Kirigami dependency
Support applying random shader and colors on startup

v0.2.10 8 months ago

Downgrade GLSL requirements to 1.30
Downgrade QtQuick dependencies to 2.0
Add options for range and auto-hiding

v0.2.9 8 months ago

Add two shaders
Replace server.py with client.py

v0.2.8 8 months ago

Add 4 shaders

v0.2.7 8 months ago

Allow to choose the input device
Load glsl file in runtime
Add two new shaders

v0.2.6 8 months ago

Add python files to the plasmoid package
The widget is able to start panon server by itself

12345678910
126
product-maker mirkogennari Jul 05 2020 2 really bad
no install plasmoid
product-maker ithemaster Jun 29 2020 10 the best
10 the best
product-maker benchile Jun 16 2020 9 excellent
9 excellent Amazing work easy to install in Manjaro Linux suing your dependencies requested by Arch Linux users + install the widget from desktop graphics tools. https://i.imgur.com/20LLT9G.png
product-maker hapi-txt Dec 31 2019 10 the best
works great!
product-maker thevladsoft Dec 10 2019 10 the best
10 the best
product-maker dikawfa Nov 26 2019 10 the best
10 the best
product-maker marcinw2 Nov 04 2019 10 the best
10 the best
product-maker skeleton21 Nov 02 2019 10 the best
10 the best
product-maker carmeline Oct 23 2019 9 excellent
9 excellent Didn't knew I needed it until I watched the video >.< But before installing it, is there a clean way to remove it, just in case?
product-maker Base: 4 x 5.0 Ratings
mirkogennari
Jul 05 2020
Nano-Ocelot
May 30 2020
peron-the-duck
Apr 18 2020
Duke93
Feb 27 2020
renzoneru
Jan 05 2020
dikawfa
Nov 26 2019
ismail0f
Sep 23 2019
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
GPLv3
version
0.4.2
updated Jun 29 2020
added Sep 23 2019
downloads 24h
21
mediaviews 24h 0
pageviews 24h 43